@charset "UTF-8";
body {
  font-family: "Open Sans", "Helvetica Neue", sans-serif;
  margin: 0;
  background-color: #E5F8FF;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
body h1 {
  font-weight: 700;
  font-size: 4vw;
  text-align: center;
  color: #0096CD;
  padding: 0 1rem;
}
body h2 {
  font-size: 3em;
  line-height: 1.2em;
  margin-top: 1em;
  margin-bottom: 1em;
  padding: 0 1rem;
}
body p,
body ol,
body ul,
body dl {
  max-width: 800px;
  font-size: 1.5em;
  line-height: 1.7em;
  display: block;
  margin: auto;
  padding: 1rem 1rem;
}
body ul,
body ol {
  padding-left: 3.5em;
}
body dt {
  font-weight: bolder;
}

/* menu stuff */
.menu input[type=checkbox] {
  position: absolute;
  top: -9999px;
  left: -9999px;
}
.menu label {
  display: none;
  cursor: pointer;
  -webkit-user-select: none;
          user-select: none;
}
.menu a,
.menu label {
  color: #E5F8FF;
  text-decoration: none;
}
.menu ul {
  display: flex;
  list-style: none;
  background-color: #004B66;
  justify-content: space-around;
  margin: 0;
  max-width: 100%;
}
.menu ul > li {
  cursor: pointer;
}
.menu ul > li :hover {
  font-size: larger;
  transition: ease-in-out;
  background-color: #E5F8FF;
  color: #004B66;
}
.menu ul > li :active {
  font-size: smaller;
  transition: ease-in-out;
  background-color: #E5F8FF;
  color: #004B66;
}

/* small screens */
@media screen and (max-width: 800px) {
  .menu {
    background-color: #004B66;
  }
  .menu ul {
    display: none;
    height: 100%;
  }
  .menu ul > li {
    border-right: none;
  }
  .menu label {
    position: right;
    display: block;
    width: 100%;
    min-height: 2.5em;
    font-size: 1.2em;
  }
  .menu label:after {
    position: absolute;
    right: 1.2em;
    content: "≡";
    font-size: 1.8em;
  }
  .menu input[type=checkbox]:checked ~ label:after {
    color: white;
  }
  .menu input[type=checkbox]:checked ~ ul {
    display: block;
  }
  .menu input[type=checkbox]:checked ~ ul > li {
    width: 100%;
    text-align: center;
  }
}
/* grid layouts */
.grid {
  justify-content: center;
  align-items: center;
  display: grid;
}
.grid-50_50 {
  grid-template-columns: 1fr 1fr;
}
.grid-25_75 {
  grid-template-columns: 1fr 3fr;
}
.grid-33_33_33 {
  grid-template-columns: 1fr 1fr 1fr;
}
.grid {
  gap: 1.5em;
}
.grid div {
  padding: 0.5em;
}

@media screen and (max-width: 1000px) {
  .grid-50_50 {
    grid-template-columns: 100%;
  }
  .grid-25_75 {
    grid-template-columns: 100%;
  }
  .grid-33_33_33 {
    grid-template-columns: 100%;
  }
}
/* hero layout */
.hero {
  background-image: url(files/soccer_hero.jpg);
  height: 550px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
}
.hero h1 {
  font-size: 5.5em;
  font-weight: 900;
  text-align: center;
  line-height: 1.1em;
  color: white;
  max-width: 800px;
  text-shadow: 10px 0 10px #333;
  opacity: 0.8;
}

@media screen and (max-width: 670px) {
  .hero h1 {
    font-size: 4em;
    font-weight: 800;
  }
}
@media screen and (max-width: 400px) {
  .hero h1 {
    font-size: 2.5em;
    font-weight: 700;
    line-height: 1em;
  }
}
/* buttons */
.btn {
  color: #E1E1E1;
  text-decoration: none;
  background-color: #0096CD;
  padding: 1em;
  font-size: large;
  display: block;
  margin: auto;
  border: none;
  text-align: center;
  margin-bottom: 1.5em;
  margin-top: 1.5em;
  border-radius: 2em;
  min-width: 200px;
}
.btn:hover {
  background-color: #f2ef22;
  color: #0096CD;
  border: solid 1px #0096CD;
}
.btn:active {
  background-color: #f2ef22;
  color: #0096CD;
  border: solid 1px #0096CD;
}

/* form */
.form {
  width: 100%;
  max-width: 1000px;
  display: block;
  margin: auto;
  box-sizing: border-box;
}
.form h2 {
  text-align: center;
  color: #0096CD;
}
.form input {
  background-color: #E1E1E1;
  border: solid 1px #00B2F2;
  outline: none;
  padding: 1em;
  width: 100%;
  box-sizing: border-box;
}
.form .formText {
  margin-top: 1.5em;
  margin-bottom: 1.5em;
  padding-left: 0.5em;
  padding-right: 0.5em;
}

/* footer */
.footer {
  background-color: #004B66;
  color: #E1E1E1;
  text-align: center;
  padding: 1em;
  margin-top: auto;
}
.footer a {
  color: #E1E1E1;
  text-decoration: none;
}

/* images */
.image {
  display: block;
  margin: auto;
  object-fit: cover;
  width: 100%;
  max-height: 100%;
  margin-bottom: 2em;
}
.image-small {
  width: 50%;
}
.image-medium {
  width: 75%;
}
.image-large {
  width: 90%;
}

.imageIcon {
  width: 400px;
}

/* backgrounds */
.gradientBKGD {
  background-image: linear-gradient(#004B66, #002633);
  margin-bottom: 2em;
}
.gradientBKGD div {
  color: #E1E1E1;
}
.gradientBKGD div a {
  color: #E1E1E1;
  text-decoration: none;
}
.gradientBKGD div a:hover {
  color: #fd823e;
}

/* content containers */
.aboutContainer {
  max-width: 1200px;
  display: block;
  margin: auto;
}
.aboutContainer div div h2 {
  color: #004B66;
  border-bottom: solid 2px #004B66;
  padding-bottom: 0.5em;
}

@media screen and (max-width: 800px) {
  .aboutContainer img {
    width: 200px;
    margin: auto;
    display: block;
  }
}
.schoolContainer {
  margin: 1em;
}
.schoolContainer div {
  background-color: #FFFFE6;
  color: #212121;
  font-size: smaller;
  padding: 1em;
  height: 100%;
  box-sizing: border-box;
}
.schoolContainer p {
  font-weight: bold;
}

.requirementsContainer {
  background-color: whitesmoke;
  border: solid 1px #333;
  max-width: 1000px;
  display: block;
  margin: auto;
  margin-top: 1em;
}
.requirementsContainer div p:first-child {
  font-weight: bold;
}

.membersContainer {
  margin: 1em;
}
.membersContainer div {
  font-size: medium;
}

@media screen and (max-width: 800px) {
  .requirementsContainer img,
  .membersContainer img {
    width: 200px;
    margin: auto;
    display: block;
  }
}
.archiveContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.archiveContainer a {
  display: grid;
  grid-template-columns: 25% 75%;
  justify-content: center;
  align-items: center;
  color: #004B66;
  text-decoration: none;
  background-color: lightgray;
  border-radius: 1em;
  margin: 1em;
  width: 700px;
}
.archiveContainer p {
  text-align: left;
  margin: 1em;
}
.archiveContainer img {
  margin: 1em;
}
.archiveContainer img:last-child {
  display: none;
}
.archiveContainer :hover {
  background-color: #f2ef22;
  border-radius: 1em;
}
.archiveContainer :hover img:first-child {
  display: none;
}
.archiveContainer :hover img:last-child {
  display: block;
}
.archiveContainer:active {
  background-color: #f2ef22;
}

@media screen and (max-width: 800px) {
  .archiveContainer a {
    display: inline;
  }
  .archiveContainer img {
    max-width: 175px;
    display: block;
    margin: auto;
    padding: 1em;
  }
}
.container_65_35 {
  justify-content: center;
  align-items: center;
  display: flex;
  margin: 1em;
}
.container_65_35 .side_65 {
  flex: 2;
}
.container_65_35 .side_35 {
  flex: 1;
}

@media screen and (max-width: 800px) {
  .container_65_35 {
    flex-direction: column-reverse;
  }
}
.container_50_50 {
  justify-content: space-evenly;
  align-items: center;
  display: flex;
  max-width: 1400px;
  margin: 0 auto;
}
.container_50_50 .side_01 {
  flex: 1;
  margin: 1em;
}
.container_50_50 .side_02 {
  flex: 1;
  margin: 1em;
}

@media only screen and (max-width: 900px) {
  .container_50_50 {
    flex-direction: column-reverse;
  }
}
.container_50_50 > * {
  width: 100%;
}